Package icyllis.modernui.text

# Class TextDirectionHeuristics

java.lang.Object
icyllis.modernui.text.TextDirectionHeuristics

public final class TextDirectionHeuristics extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TextDirectionHeuristic`
  `ANYRTL_LTR`
  If the text contains any strong right to left non-format character, determines that the direction is right to left, falling back to left to right if it finds none.
  `static final TextDirectionHeuristic`
  `FIRSTSTRONG_LTR`
  Determines the direction based on the first strong directional character, including bidi format chars, falling back to left to right if it finds none.
  `static final TextDirectionHeuristic`
  `FIRSTSTRONG_RTL`
  Determines the direction based on the first strong directional character, including bidi format chars, falling back to right to left if it finds none.
  `static final TextDirectionHeuristic`
  `LOCALE`
  Force the paragraph direction to the Locale direction.
  `static final TextDirectionHeuristic`
  `LTR`
  Always decides that the direction is left to right.
  `static final TextDirectionHeuristic`
  `RTL`
  Always decides that the direction is right to left.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LTR

    public static final TextDirectionHeuristic LTR
    Always decides that the direction is left to right.

  - ### RTL

    public static final TextDirectionHeuristic RTL
    Always decides that the direction is right to left.

  - ### FIRSTSTRONG_LTR

    public static final TextDirectionHeuristic FIRSTSTRONG_LTR
    Determines the direction based on the first strong directional character, including bidi format chars, falling back to left to right if it finds none. This is the default behavior of the Unicode Bidirectional Algorithm.

  - ### FIRSTSTRONG_RTL

    public static final TextDirectionHeuristic FIRSTSTRONG_RTL
    Determines the direction based on the first strong directional character, including bidi format chars, falling back to right to left if it finds none. This is similar to the default behavior of the Unicode Bidirectional Algorithm, just with different fallback behavior.

  - ### ANYRTL_LTR

    public static final TextDirectionHeuristic ANYRTL_LTR
    If the text contains any strong right to left non-format character, determines that the direction is right to left, falling back to left to right if it finds none.

  - ### LOCALE

    public static final TextDirectionHeuristic LOCALE
    Force the paragraph direction to the Locale direction. Falls back to left to right.